# Glacier2::SessionControl

## Overview

### interface SessionControl

An administrative session control object, which is tied to the lifecycle of a Session.

#### See Also

Session

## Operation Index

categories
  Access the object that manages the allowable categories for object identities for this session.
adapterIds
  Access the object that manages the allowable adapter identities for objects for this session.
identities
  Access the object that manages the allowable object identities for this session.
getSessionTimeout
  Get the session timeout.
destroy
  Destroy the associated session.

## Operations

### StringSet* categories()

Access the object that manages the allowable categories for object identities for this session.

#### Return Value

A StringSet object.

### StringSet* adapterIds()

Access the object that manages the allowable adapter identities for objects for this session.

#### Return Value

A StringSet object.

### IdentitySet* identities()

Access the object that manages the allowable object identities for this session.

#### Return Value

An IdentitySet object.

### int getSessionTimeout()

Get the session timeout.

#### Return Value

The timeout.

### void destroy()

Destroy the associated session.